diff --git a/Control/AthViews/test/ViewCollectionMerge_test.txt b/Control/AthViews/test/ViewCollectionMerge_test.txt
old mode 100644
new mode 100755
diff --git a/Tools/DirectIOART/share/DirectIOARTAthAnalysisJobOptions.py b/Tools/DirectIOART/share/DirectIOARTAthAnalysisJobOptions.py
new file mode 100644
index 0000000000000000000000000000000000000000..b395390c1242d4bd3f7f8448acaf0741091a4b46
--- /dev/null
+++ b/Tools/DirectIOART/share/DirectIOARTAthAnalysisJobOptions.py
@@ -0,0 +1,9 @@
+theApp.EvtMax = 1000
+import AthenaRootComps.ReadAthenaxAODHybrid
+algseq =  CfgMgr.AthSequencer("AthAlgSeq")
+algseq += CfgMgr.ParticleSelectionAlg("DirectIOAthAnalysisARTAlg",
+                                      OutputLevel     = VERBOSE,
+                                      InputContainer  = "Muons",
+                                      OutputContainer = 'MyMuons',
+                                      Selection       = "Muons.pt > 15.0*GeV"
+                                      )
diff --git a/Tools/DirectIOART/test/test_directioart_athanalysis_alg_davs.sh b/Tools/DirectIOART/test/test_directioart_athanalysis_alg_davs.sh
new file mode 100755
index 0000000000000000000000000000000000000000..c1a47852d8f78ed621ba10c1a22da91cb2e0fd82
--- /dev/null
+++ b/Tools/DirectIOART/test/test_directioart_athanalysis_alg_davs.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# art-description: DirectIOART AthAnalysis ParticleSelectionAlg protocol=DAVS
+# art-type: grid
+# art-output: *.pool.root
+# art-include: 21.2/AthAnalysis
+
+set -e
+
+athena --filesInput="davs://lcg-lrz-http.grid.lrz.de:443/pnfs/lrz-muenchen.de/data/atlas/dq2/atlasdatadisk/rucio/mc15_13TeV/ed/68/AOD.05536542._000001.pool.root.1" DirectIOART/DirectIOARTAthAnalysisJobOptions.py
+
+echo "art-result: $? DirectIOART_AthAnalysis_ParticleSelectionAlg_protocol_DAVS"
\ No newline at end of file
diff --git a/Tools/DirectIOART/test/test_directioart_athanalysis_alg_https.sh b/Tools/DirectIOART/test/test_directioart_athanalysis_alg_https.sh
new file mode 100755
index 0000000000000000000000000000000000000000..e1acbab3451de5ead8285f0307f6328046956156
--- /dev/null
+++ b/Tools/DirectIOART/test/test_directioart_athanalysis_alg_https.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# art-description: DirectIOART AthAnalysis ParticleSelectionAlg protocol=HTTPS
+# art-type: grid
+# art-output: *.pool.root
+# art-include: 21.2/AthAnalysis
+
+set -e
+
+athena --filesInput="https://lcg-lrz-http.grid.lrz.de:443/pnfs/lrz-muenchen.de/data/atlas/dq2/atlasdatadisk/rucio/mc15_13TeV/ed/68/AOD.05536542._000001.pool.root.1" DirectIOART/DirectIOARTAthAnalysisJobOptions.py
+
+echo "art-result: $? DirectIOART_AthAnalysis_ParticleSelectionAlg_protocol_HTTPS"
\ No newline at end of file
diff --git a/Tools/DirectIOART/test/test_directioart_athanalysis_alg_root.sh b/Tools/DirectIOART/test/test_directioart_athanalysis_alg_root.sh
new file mode 100755
index 0000000000000000000000000000000000000000..98ba59a3638b280a43c53cb3f2ee94be7752f1a4
--- /dev/null
+++ b/Tools/DirectIOART/test/test_directioart_athanalysis_alg_root.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# art-description: DirectIOART AthAnalysis ParticleSelectionAlg protocol=ROOT
+# art-type: grid
+# art-output: *.pool.root
+# art-include: 21.2/AthAnalysis
+
+set -e
+
+athena --filesInput="root://lcg-lrz-rootd.grid.lrz.de:1094/pnfs/lrz-muenchen.de/data/atlas/dq2/atlasdatadisk/rucio/mc15_13TeV/ed/68/AOD.05536542._000001.pool.root.1" DirectIOART/DirectIOARTAthAnalysisJobOptions.py
+
+echo "art-result: $? DirectIOART_AthAnalysis_ParticleSelectionAlg_protocol_ROOT"
\ No newline at end of file